ParseException (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.util.svg
Class ParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.mxgraph.util.svg.ParseException

All Implemented Interfaces:
  Serializable

    public class ParseException

extends RuntimeException

This class encapsulates a general parse error or warning.

This class can contain basic error or warning information from either the parser or the application.

If the application needs to pass through other types of exceptions, it must wrap those exceptions in a ParseException.

See Also:
  Serialized Form

Field Summary
`protected int` | `columnNumber`
`protected Exception` | `exception`
`protected int` | `lineNumber`

Constructor Summary
`ParseException(Exception e)` Creates a new ParseException wrapping an existing exception.
`ParseException(String message, Exception e)` Creates a new ParseException from an existing exception.
`ParseException(String message, int line, int column)` Creates a new ParseException.

Method Summary
`int` | `getColumnNumber()` Returns the column of the last parsed character.
`Exception` | `getException()` Return the embedded exception, if any.
`int` | `getLineNumber()` Returns the line of the last parsed character.
`String` | `getMessage()` Return a detail message for this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### exception

    protected Exception exception

### lineNumber

    protected int lineNumber

### columnNumber

    protected int columnNumber

Constructor Detail

### ParseException

    public ParseException(String message,
                          int line,
                          int column)

  Creates a new ParseException.

  Parameters:
    `message` - The error or warning message.
    `line` - The line of the last parsed character.
    `column` - The column of the last parsed character.

### ParseException

    public ParseException(Exception e)

  Creates a new ParseException wrapping an existing exception.

  The existing exception will be embedded in the new one, and its message will become the default message for the ParseException.

  Parameters:
    `e` - The exception to be wrapped in a ParseException.

### ParseException

    public ParseException(String message,
                          Exception e)

  Creates a new ParseException from an existing exception.

  The existing exception will be embedded in the new one, but the new exception will have its own message.

  Parameters:
    `message` - The detail message.
    `e` - The exception to be wrapped in a SAXException.

Method Detail

### getMessage

    public String getMessage()

  Return a detail message for this exception.

  If there is a embedded exception, and if the ParseException has no detail message of its own, this method will return the detail message from the embedded exception.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    The error or warning message.

### getException

    public Exception getException()

  Return the embedded exception, if any.

  Returns:
    The embedded exception, or null if there is none.

### getLineNumber

    public int getLineNumber()

  Returns the line of the last parsed character.

### getColumnNumber

    public int getColumnNumber()

  Returns the column of the last parsed character.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.